%% Perturbation parameters

%% Atmospheric drag
% Drag parameters
% rho0 = 1.225e-12; % kg/m^3 (old)

atm_rho     = 0.5*3.5481e-12; %
atm_area    = xLen*zLen; % m^2, worst case (largest side)
atm_cg      = [0;yLen/2;-zLen/2];
atm_cp      = [0;yLen/2;zLen/2]; 

atm_Cd      = 2.1;


%% Magnetic disturbance
% Not in use: residual_pole = 2*0.42*[1;1;1]./100;

magn_md     = 8e-2;
magn_area   = 2*[yLen*zLen, xLen*zLen, xLen*yLen]; 


%% Solar radiation 

% NB! update information about parameters (units, names)
F_srp       = 1367; % W/m^2
srp_C       = 3e8; % m/s
srp_area    = xLen*zLen; 
srp_eta     = 0.2; % emittance
srp_alpha   = 0*pi/180; % in radians

srp_cg      = [0;yLen/2;-zLen/2]; 
srp_cp      = [0;yLen/2;zLen/2];