function HOSMO_plot(HOSMO_q, HOSMO_w, w_obb, w_obb_meas, q_ob_real, q_ob_meas)

figure('Name', 'Observer plots','units','normalized','outerposition',[0 0 1 1])

% subplot(4,1,1)
% h1 = plot(HOSMO_q_error_norm.Time,HOSMO_q_error_norm.Data, 'LineWidth', 2);
% set(h1, {'DisplayName'}, {'Epsilon error norm'})
% title('Epsilon error norm')
% legend show
% xlabel('seconds') 
% 
% subplot(4,1,2)
% h2 = plot(HOSMO_w_error_norm.Time,HOSMO_w_error_norm.Data, 'LineWidth', 2);
% set(h2, {'DisplayName'}, {'Omega error norm'})
% title('Angular velocity of body frame in orbit frame, error norm')
% legend show
% xlabel('seconds') 
% %ylabel('rad/s') 


% leg = legend({'w','$\hat{\omega}$'});
% set(leg, 'Interpreter', 'latex');
withRealValues = 0; %0/1

subplot(2,1,1)
h31 = plot(q_ob_real.Time,q_ob_real.Data(:,2:4), 'LineWidth', 2);
set(h31, {'DisplayName'}, {'Epsilon real 1';'Epsilon real 2';'Epsilon real 3'})
hold on
h32 = plot(HOSMO_q.Time,HOSMO_q.Data(:,2:4), 'LineWidth', 2, 'LineStyle', '--');
set(h32, {'DisplayName'}, {'Epsilon hat 1';'Epsilon hat 2';'Epsilon hat 3'})
% set(h32, {'Color'}, {[0 0.4470 0.7410];[0.8500 0.3250 0.0980];[0.9290 0.6940 0.1250]; [0.2290 0.1940 0.8250]})
h33 = plot(q_ob_meas.Time,q_ob_meas.Data(:,2:4), 'LineWidth', 0.1, 'LineStyle', '-.');
set(h33, {'DisplayName'}, {'Epsilon measured 1';'Epsilon measured 2';'Epsilon measured 3'})
hold off
title('\epsilon_{ob} with estimated values')
legend show
xlabel('seconds') 
% ylabel('rad/s') 

subplot(2,1,2)
h41 = plot(w_obb.Time,w_obb.Data, 'LineWidth', 2);
set(h41, {'DisplayName'}, {'Omega 1';'Omega 2';'Omega 3'})
hold on
h42 = plot(HOSMO_w.Time,HOSMO_w.Data, 'LineWidth', 2, 'LineStyle', '--');
set(h42, {'DisplayName'}, {'Omega hat 1';'Omega hat 2';'Omega hat 3'})
h43 = plot(w_obb_meas.Time,w_obb_meas.Data, 'LineWidth', 0.1, 'LineStyle', '-.');
set(h43, {'DisplayName'}, {'Omega measured 1';'Omega measured 2';'Omega measured 3'})
% set(h42, {'Color'}, {[0 0.4470 0.7410];[0.8500 0.3250 0.0980];[0.9290 0.6940 0.1250]})
hold off
title('\omega_{ob}^b with estimated values')
legend show
xlabel('seconds') 
ylabel('rad/s') 

end

